golang-v2ray-core (4.33.0-2) unstable; urgency=medium

  * debian/patches:
    - Remove vless disabling patch.
    - Refresh patches.

 -- Roger Shimizu <rosh@debian.org>  Wed, 16 Dec 2020 01:39:00 +0900

golang-v2ray-core (4.33.0-1) unstable; urgency=medium

  * New upstream release 4.33.0
  * Upstream moved to https://github.com/v2fly/v2ray-core.
  * debian/rules:
    - Sync build option LDFLAGS with upstream.
  * debian/patches:
    - Refresh patches.

 -- Roger Shimizu <rosh@debian.org>  Sat, 12 Dec 2020 22:06:28 +0900

golang-v2ray-core (4.31.0+ds-3) unstable; urgency=medium

  * debian/patches:
    - Cherry-pick from upstream: Reduce timeout & fix ineffassign.

 -- Roger Shimizu <rosh@debian.org>  Sun, 29 Nov 2020 14:55:04 +0900

golang-v2ray-core (4.31.0+ds-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/control:
    - golang-v2ray-core-dev depends on
      golang-github-lucas-clemente-quic-go-dev (Closes: #975209)

 -- Roger Shimizu <rosh@debian.org>  Mon, 23 Nov 2020 10:16:26 +0900

golang-v2ray-core (4.31.0+ds-2~exp1) experimental; urgency=medium

  * debian/control:
    - Revert: Prefer golang-go over gccgo.
  * debian/patches:
    - Amend patch 02 to skip TestServiceSubscribeRoutingStats test,
      since it fails on debomatic builds.

 -- Roger Shimizu <rosh@debian.org>  Sat, 14 Nov 2020 16:03:55 +0900

golang-v2ray-core (4.31.0+ds-1) unstable; urgency=medium

  * Upload to unstable.
  * debian/patches:
    - Amend patch 02 to skip TestTLSOverWebSocket test, since it fails on
      reproducible i386 builds.

 -- Roger Shimizu <rosh@debian.org>  Sat, 14 Nov 2020 03:45:44 +0900

golang-v2ray-core (4.31.0+ds-1~exp2) experimental; urgency=medium

  * debian/rules:
    - Exclude vless in DH_GOLANG_EXCLUDES.
  * debian/patches:
    - Add patch 04 to fix proto compare test.
      Thanks to Shengjing Zhu for his patch.

 -- Roger Shimizu <rosh@debian.org>  Mon, 09 Nov 2020 23:29:27 +0900

golang-v2ray-core (4.31.0+ds-1~exp1) experimental; urgency=medium

  * New upstream release 4.31.0
  * Update debian/maint-tools script.
  * debian/control:
    - Add new B-D: golang-github-lucas-clemente-quic-go-dev
  * debian/copyright:
    - Remove entries erased upstream.
  * debian/patches:
    - Refresh patches.
    - Add patch 03 to disable vless and xtls.
      Since xtls module is not compatible with DFSG license, we have
      to do this. Thanks to Shengjing Zhu for his patch.

 -- Roger Shimizu <rosh@debian.org>  Mon, 09 Nov 2020 00:33:14 +0900

golang-v2ray-core (4.28.2+ds-2) unstable; urgency=medium

  * debian/control: Update dependency of golang-v2ray-core-dev.
    - Add golang-github-pires-go-proxyproto-dev
    - Replace golang-websocket-dev with
      golang-github-gorilla-websocket-dev.

 -- Roger Shimizu <rosh@debian.org>  Sun, 08 Nov 2020 16:38:51 +0900

golang-v2ray-core (4.28.2+ds-1) unstable; urgency=medium

  * Upload to unstable.
  * debian/rules:
    - Ignore auto test error on riscv64.

 -- Roger Shimizu <rosh@debian.org>  Fri, 06 Nov 2020 02:19:31 +0900

golang-v2ray-core (4.28.2+ds-1~exp4) experimental; urgency=medium

  [ Shengjing Zhu ]
  * Fix protobuf files regeneration.
  * Fix build without dpkg-buildpackage.

  [ Roger Shimizu ]
  * debian/control:
    - Remove unnecessary B-D, which are already included in
      sub-dependencies.

 -- Roger Shimizu <rosh@debian.org>  Thu, 05 Nov 2020 00:20:39 +0900

golang-v2ray-core (4.28.2+ds-1~exp3) experimental; urgency=medium

  * debian/control:
    - Prefer golang-go over gccgo.

 -- Roger Shimizu <rosh@debian.org>  Tue, 03 Nov 2020 17:16:29 +0900

golang-v2ray-core (4.28.2+ds-1~exp2) experimental; urgency=medium

  * debian/control:
    - Add B-D: golang-github-seiflotfy-cuckoofilter-dev (>= 0.0~git20201009)

 -- Roger Shimizu <rosh@debian.org>  Tue, 03 Nov 2020 15:04:46 +0900

golang-v2ray-core (4.28.2+ds-1~exp1) experimental; urgency=medium

  * New upstream release 4.28.2
  * debian/control:
    - Add B-D: golang-github-pires-go-proxyproto-dev
    - Add B-D: golang-goprotobuf-dev (>= 1.4.3)
    - Add B-D: golang-google-protobuf-dev
  * debian/patches:
    - Refresh patches.
  * debian/rules:
    - Disable regenerating protobuf (*.pb.go) files from *.proto

 -- Roger Shimizu <rosh@debian.org>  Tue, 03 Nov 2020 04:12:33 +0900

golang-v2ray-core (4.27.0+ds-2) unstable; urgency=low

  * Add Environment=V2RAY_LOCATION_ASSET=/etc/v2ray to v2ray.service
    - Fix v2ray failed to start by systemd

 -- Ying-Chun Liu (PaulLiu) <paulliu@debian.org>  Tue, 29 Sep 2020 23:28:25 +0800

golang-v2ray-core (4.27.0+ds-1) unstable; urgency=medium

  * New upstream release 4.27.0
  * d/v2ray.install:
    - Add installation of release/config/*.dat to /etc/v2ray

 -- Roger Shimizu <rosh@debian.org>  Sat, 19 Sep 2020 14:13:04 +0900

golang-v2ray-core (4.26.0+ds-2) unstable; urgency=medium

  * debian/rules:
    - Disable auto_test result checking for armhf. Although buildd is OK,
      reproducible build fails, maybe due to the HW spec is different.
  * debian/patches:
    - Amend patch 0003 to skip TestVMessQuic, since it fails on arm64
      reproducible builds.

 -- Roger Shimizu <rosh@debian.org>  Sat, 25 Jul 2020 00:20:07 +0900

golang-v2ray-core (4.26.0+ds-1) unstable; urgency=medium

  * Upload to unstable.
  * debian/patches:
    - Amend patch 0003 to add info about test failure on buildd.

 -- Roger Shimizu <rosh@debian.org>  Wed, 22 Jul 2020 01:03:48 +0900

golang-v2ray-core (4.26.0+ds-1~exp8) experimental; urgency=medium

  * debian/rules:
    - Enable auto_test result checking for armhf, since it seems OK for
      buildd now.
  * debian/patches:
    - Amend patch 0003 to skip some testing/scenarios tests,
      to see whether it works on buildd.

 -- Roger Shimizu <rosh@debian.org>  Tue, 21 Jul 2020 22:39:35 +0900

golang-v2ray-core (4.26.0+ds-1~exp7) experimental; urgency=medium

  * debian/patches:
    - Amend patch 0003 to skip some testing/scenarios tests,
      to see whether it works on buildd.

 -- Roger Shimizu <rosh@debian.org>  Mon, 20 Jul 2020 00:49:06 +0900

golang-v2ray-core (4.26.0+ds-1~exp6) experimental; urgency=medium

  * debian/rules:
    - Add timeout=30m to go test.

 -- Roger Shimizu <rosh@debian.org>  Sun, 19 Jul 2020 21:34:25 +0900

golang-v2ray-core (4.26.0+ds-1~exp5) experimental; urgency=medium

  * debian/patches:
    - Amend patch 0003 to switch on/off some testing/scenarios tests,
      to see whether it works on armel buildd.

 -- Roger Shimizu <rosh@debian.org>  Sun, 19 Jul 2020 15:00:49 +0900

golang-v2ray-core (4.26.0+ds-1~exp4) experimental; urgency=medium

  * debian/patches:
    - Amend patch 0003 to skip more testing/scenarios tests,
      to see whether it works on armel buildd.

 -- Roger Shimizu <rosh@debian.org>  Sun, 19 Jul 2020 13:23:13 +0900

golang-v2ray-core (4.26.0+ds-1~exp3) experimental; urgency=medium

  * debian/patches:
    - Amend patch 0003 to skip a few testing/scenarios tests,
      to see whether it works on armel buildd.

 -- Roger Shimizu <rosh@debian.org>  Tue, 14 Jul 2020 19:19:58 +0900

golang-v2ray-core (4.26.0+ds-1~exp2) experimental; urgency=medium

  * debian/patches:
    - Remove patch to disable verification of VMessAEAD, since I find the
      dependency package of that test.
    - Refresh patches.
  * debian/control:
    - Add B-D: golang-github-stretchr-testify-dev

 -- Roger Shimizu <rosh@debian.org>  Mon, 13 Jul 2020 18:42:38 +0900

golang-v2ray-core (4.26.0+ds-1~exp1) experimental; urgency=medium

  * New upstream release 4.26.0
  * debian/control:
    - Bump golang-h12-socks-dev B-D version to 1.0.1
  * debian/patches:
    - Refresh patches.
    - Add patch to disable verification of vsign, which is not in
      debian yet.
    - Add patch to disable verification of VMessAEAD, which is not in
      debian yet.
    - Since we already ignore the failure of some architectures, we can
      enable some test previously disabled. Let's see how it works
      on buildd and reproducible builds.

 -- Roger Shimizu <rosh@debian.org>  Sun, 12 Jul 2020 19:33:01 +0900

golang-v2ray-core (4.25.1+ds-7) unstable; urgency=medium

  * debian/rules:
    - Ignore failure on some slow systems: armel armhf mips64el mipsel.

 -- Roger Shimizu <rosh@debian.org>  Sat, 11 Jul 2020 22:45:05 +0900

golang-v2ray-core (4.25.1+ds-6) unstable; urgency=medium

  * Update default config.json to remove routing part.

 -- Roger Shimizu <rosh@debian.org>  Sat, 11 Jul 2020 00:10:17 +0900

golang-v2ray-core (4.25.1+ds-5) unstable; urgency=medium

  * debian/rules:
    - Add nocheck support for DEB_BUILD_OPTIONS.
  * debian/v2ray.install:
    - Add systemd service files.
  * Add systemd service file and config file to install.
  * debian/control:
    - Try to restore build on mips*el, since the bug seems being fixed.

 -- Roger Shimizu <rosh@debian.org>  Tue, 07 Jul 2020 02:01:45 +0900

golang-v2ray-core (4.25.1+ds-4) unstable; urgency=medium

  * debian/control:
    - Add back hurd-i386, sh4, riscv64, and x32 to build.

 -- Roger Shimizu <rosh@debian.org>  Sat, 04 Jul 2020 13:33:18 +0900

golang-v2ray-core (4.25.1+ds-3) unstable; urgency=medium

  * Upload to unstable.

 -- Roger Shimizu <rosh@debian.org>  Sat, 04 Jul 2020 00:27:43 +0900

golang-v2ray-core (4.25.1+ds-3~exp1) experimental; urgency=medium

  * debian/control:
    - Disable build on mipsel due to #960674.

 -- Roger Shimizu <rosh@debian.org>  Fri, 03 Jul 2020 22:52:31 +0900

golang-v2ray-core (4.25.1+ds-2) unstable; urgency=medium

  * debian/patches:
    - Move upstreamed patches to backport folder.

 -- Roger Shimizu <rosh@debian.org>  Fri, 03 Jul 2020 01:57:09 +0900

golang-v2ray-core (4.25.1+ds-1) unstable; urgency=medium

  * New upstream release 4.25.1

 -- Roger Shimizu <rosh@debian.org>  Sun, 28 Jun 2020 00:57:57 +0900

golang-v2ray-core (4.25.0+ds-3) unstable; urgency=medium

  * debian/rules:
    - Disable one test fails on mips*el.

 -- Roger Shimizu <rosh@debian.org>  Thu, 25 Jun 2020 23:29:56 +0900

golang-v2ray-core (4.25.0+ds-2) unstable; urgency=medium

  * debian/rules:
    - Do not install *.pem to make the build reproducible.
      Thanks to Chris Lamb for the patch (Closes: #963537).
  * debian/patches:
    - Amend patch 0003 to skip TestUserValidator test, which fails on
      debian buildd: mipsel, mips64el, and armel.

 -- Roger Shimizu <rosh@debian.org>  Thu, 25 Jun 2020 18:17:16 +0900

golang-v2ray-core (4.25.0+ds-1) unstable; urgency=medium

  * New upstream release 4.25.0
  * debian/control:
    - Add new B-D: golang-github-seiflotfy-cuckoofilter-dev
  * debian/patches:
    - Add patch 0004 to current cuckoofilter package in archive.
  * debian/rules:
    - Regenerate protobuf (*.pb.go) files from *.proto

 -- Roger Shimizu <rosh@debian.org>  Tue, 23 Jun 2020 18:32:41 +0900

golang-v2ray-core (4.23.4+ds-2) unstable; urgency=medium

  * debian/patches:
    - Add patch 0003 to skip some tests need network access or
      huge memory.
  * debian/rules:
    - Enable dh_auto_test.

 -- Roger Shimizu <rosh@debian.org>  Mon, 22 Jun 2020 19:37:26 +0900

golang-v2ray-core (4.23.4+ds-1) unstable; urgency=medium

  * New upstream release 4.23.4
  * debian/rules:
    - Add SOURCE_DATE_EPOCH as build name (v2ray.com/core.build).
    - Update upstream version as build version (v2ray.com/core.version).
    - Use DEB_HOST_GNU_TYPE as build directory.

 -- Roger Shimizu <rosh@debian.org>  Sat, 20 Jun 2020 22:06:56 +0900

golang-v2ray-core (4.23.1+ds-3) unstable; urgency=medium

  * debian/rules:
    - Fix v2ray core missing. Thanks to Guobang Bi for the patch.

 -- Roger Shimizu <rosh@debian.org>  Sat, 20 Jun 2020 16:50:24 +0900

golang-v2ray-core (4.23.1+ds-2) unstable; urgency=medium

  * debian/rules:
    - Add parameter -ldflags to go build.
      Parameters are from upstream script: release/user-package.sh

 -- Roger Shimizu <rosh@debian.org>  Fri, 19 Jun 2020 19:29:49 +0900

golang-v2ray-core (4.23.1+ds-1) unstable; urgency=medium

  * Initial release (Closes: #908921)

 -- Roger Shimizu <rosh@debian.org>  Sat, 02 May 2020 16:43:27 +0900
